{% set site = site_helper.getSite() %}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- global metatags -->
    <link rel="icon" href="{{ asset('media/images/')~site.icon.filename }}"/>
    {% set pageTitle = site_name %}
    {% if page|default(null) and page.title %}
        {% if page.name == 'actualites' %}
            {% set pageTitle = 'Accueil' %}
        {% elseif page.name == 'proposition' %}
            {% set pageTitle = page.title~" : "~page.subtitle %}
        {% else %}
            {% set pageTitle = page.title %}
        {% endif %}
    {% else %}
        {% set pageTitle = 'Connexion' %}
    {% endif %}
    {% set pageImage = app.request.getSchemeAndHttpHost() ~ asset('media/images/')~site.image.filename %}
    {% if page|default(null) and page.image %}
        {% set pageImage = app.request.getSchemeAndHttpHost() ~ asset('media/images/')~page.image.filename %}
    {% endif %}

    <title>
        {% if pageTitle == site_name %}
        {{ site_name }}
        {% else %}
        {{ pageTitle }}| {{ site_name }}
        {% endif %}
    </title>
    {% if site %}
        <meta name="application-name" content="{{ site_name }}" />
    {% endif %}
        <meta name="msapplication-TileColor" content="#ffffff" />
        <meta name="msapplication-TileImage" content="{{  app.request.getSchemeAndHttpHost() ~ asset('media/images/'~site.icon.filename) }}" />

    <!-- stylesheets -->
    {% block stylesheets %}
        <link rel="stylesheet" href="{{ asset('bundles/app/css/timeline.css') }}"/>
        <link href="{{ asset('bundles/app/css/bootstrap.min.css') }}" rel="stylesheet" />
        <link rel="stylesheet" href="{{ asset('bundles/app/font-awesome-4.7.0/css/font-awesome.min.css') }}" />
        <link rel="stylesheet" href="{{ asset('bundles/app/css/citoyen.css') }}"/>
    {% endblock %}

    {% set pageDescription = null %}
    {% set pageKeywords = null %}
    {% block meta %}
        {% if page|default(null) %}
            {% if page.description %}
                {% set pageDescription = page.description %}
            {% endif %}
            {% if page.keywords %}
                {% set pageKeywords = page.keywords %}
            {% endif %}
        {% endif %}

        <!-- meta for social networks -->
        {% include 'AppBundle:Site:meta.html.twig' %}
    {% endblock %}
</head>

<body>
<div id="main" class="containerPublic">
    {%  set publicPage = true %}
    {% block header %}

        <header>
            {#<div class="row subMainTitle hidden-xs">#}
                {#{% if page|default(null) and page.color %}#}
                {#<div class="hidden-xs col-sm-9 mainTitle {{ page.color~'Color' }}">#}
                    {#{% else %}#}
                    {#<div class="hidden-xs col-sm-9 mainTitle {{ (color|default(null) ? color : ' pink')~'Color' }}">#}
                        {#{% endif %}#}
                        {#<span><strong>{{ site ? site.name : '' }}</strong></span>#}
                        {#<span class="grayColor baselineTitle" style="color:#777; font-size: 0.8em"><em>      pour une ville écologique et solidaire</em></span>#}

                    {#</div>#}

                    {#<div class="col-sm-3 hidden-xs">#}

                        {#<div class="{% if page|default(null) and page.color %}{{ page.color~'LinkColor'}}{% else %}blueLinkColor{% endif %} linkColor">#}
                            {#<span class="hidden-sm hidden-md hidden-lg">#}
                                {#<a href="{{ url('view_page', {'name': 'actualites'}) }}">#}
                                    {#{% if site %}#}
                                        {#<img src="{{ asset('media/images/')~site.logo.filename }}"#}
                                             {#alt="{{ site.logo.description }}" style="max-height: 50px">#}
                                    {#{% endif %}#}
                                {#</a>#}
                            {#</span>#}
                            {#{% if site|default(null) %}#}
                                {#{% if site.twitter %}#}
                            {#<span class="pull-right" style="font-size: 2.5em"> <a href="{{ site ? site.twitter : '' }}" target="_blank"><i class="fa fa-twitter"></i></a></span>#}
                                    {#{% endif %}#}
                            {#{% if site.instagram %}#}
                            {#<span class="pull-right" style="font-size: 2.5em"> <a href="{{ site ? site.instagram : '' }}" target="_blank"><i class="fa fa-instagram"></i></a></span>#}
                                {#{% endif %}#}
                            {#{% if site.facebook %}#}
                            {#<span class="pull-right" style="font-size: 2.5em"> <a href="{{ site ? site.facebook : '' }}" target="_blank"><i class="fa fa-facebook-square"></i></a></span>#}
                                {#{% endif %}#}
                            {#{% endif %}#}
                            {#<span class="pull-right">Rejoignez-nous:<br><a href="{{ path('public_contact') }}">S'inscrire</a></span>#}
                        {#</div>#}
                    {#</div>#}
                {#</div>#}

                {% if page|default(null) and page.color %}
                {#<div class="{{ 'baseLine '~page.color~'BackColor' }}">#}
            <div class="{{ 'baseLine whiteBackColor' }}">
                 {% else %}
                 {#<div class="baseLine  {{ (color|default(null) ? color : 'pink')~'BackColor' }}">#}
                     <div class="baseLine  whiteBackColor">
                 {% endif %}
                        <div class="row">
                            <div class="col-sm-4 col-xs-12"><a href="{{ url('view_page', {'name': 'accueil'}) }}">
                                    {% if site %}
                                        <img src="{{ asset('media/images/')~site.logo.filename }}"
                                             alt="{{ site.logo.description }}" style="max-width: 100%; max-height: 20vh; margin-left: -10px;">
                                    {% endif %}
                                </a>
                            </div>
                            <div class="col-sm-8">
                                <h1 style="margin-top: 10px"><strong>{% block page_title %}{% endblock %}
                                        {% if page|default(null) and page.title %}{% if page.parentPage %}{{ page.parentPage.title }}... {% endif %}
                                            {{ page.title}}{% endif %}</strong></h1>
                                <h2 style="margin-top: -10px">
                                    <strong>
                                        <em>{% block page_subtitle %}{% endblock %}{% if page|default(null) and page.subTitle %}{{ page.subTitle}}{% endif %}</em>
                                    </strong>
                                </h2>
                            </div>
                        </div>
                 </div>
        </header>
    {% endblock %}

    {% include 'AppBundle:Site:menu.html.twig' %}

    {% block flashes %}
        <div id="flashes" class="row">
            <div class="col-sm-12">
                {% include 'AppBundle::flashes.html.twig' %}
            </div>
        </div>
    {% endblock %}
    <a id="backbutton" class=""></a>
    <div id="body" class="row">
        {% block body %}

            {% block pageTitle %}
            {% endblock %}
                <div class="col-xs-5 col-sm-4">
                    <div class="column">

                        {% block columnTitle %}
                        {% endblock %}
                        <div class="hidden-xs">
                            {% block columnImage %}
                            {% endblock %}

                            {% block column %}
                            {% endblock %}
                        </div>

                    </div>
                </div>
                {#<div class="col-xs-7 hidden-sm hidden-md hidden-lg">#}
                    {#<div class="inversed-column">#}
                        {#<div>#}
                            {#{% if page|default(null) and page.name %}#}
                                {#<img src="{{ asset('bundles/app/images/'~page.name~'_menu.jpg') }}"#}
                                     {#alt="{{ page.altMenu }}">#}
                            {#{% else %}#}
                                {#<img src="{{ asset('media/images/')~site.columnImage.filename }}"#}
                                     {#alt="{{ site.columnImage.description }}"  style="padding-top: 40px;">#}
                            {#{% endif %}#}
                        {#</div>#}
                    {#</div>#}
                {#</div>#}
            <div class="col-xs-12 col-sm-8">
                <div class="innerPage">
                    {% block innerPage %}
                    {% endblock %}
                    {% block pageImage %}
                        {#<div class="imagePage">#}
                        <br>
                        {% if page|default(null) and page.name %}
                            {#<img src="{{ asset('bundles/app/images/'~page.name~'_image.jpg') }}"#}
                                 {#style="max-width: 100%" alt="{{ page.altMain }}">#}
                        {% else %}
                            {% if site %}
                                <img src="{{ asset('media/images/')~site.image.filename}}"
                                     alt="{{ site.image.description }}" style="max-width: 100%">
                            {% endif %}
                        {% endif %}
                        {#</div>#}
                    {% endblock %}
                    {% block footerPage %}
                    {% endblock %}
                </div>
            </div>

            {% block fos_user_content %}
            {% endblock fos_user_content %}
        {% endblock %}
    </div>
</div>

{# FOOTER #}
{% include 'AppBundle::footer.html.twig' %}

{# MODAL #}
<div class="modal fade" id="bootstrap-modal" tabindex="-1" role="dialog" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="bootstrap-modal-title">Chargement...</h4>
            </div>
            <div class="modal-body">
                <i class="fa fa-spinner fa-spin"></i>
            </div>
        </div>
    </div>
</div>

    <div id="ajaxResult"></div>

    {#<div id="overlay">#}
    {#<img id="loading" src="{{ asset('bundles/app/images/spinner.gif') }}">#}
    {#</div>#}

    {% block javascripts %}
        <script src="{{ asset('bundles/app/js/jquery-2.1.4.js') }}"></script>
        <script src="{{ asset('bundles/app/js/bootstrap.min.js') }}"></script>
        <script src="{{ asset('bundles/app/js/bootstrap-datepicker.js') }}"></script>
        <script src="{{ asset('bundles/app/js/bootstrap-datepicker.fr.js') }}"></script>
        <script src="{{ asset('bundles/app/js/bootstrap-datetimepicker.js') }}"></script>
        <script src="{{ asset('bundles/app/js/bootstrap-datetimepicker.fr.js') }}"></script>
        <script src="{{ asset('bundles/app/js/app-form.js') }}"></script>
        <script src="{{ asset('bundles/app/js/citoyen.js') }}"></script>
        <script src="{{ asset('bundles/app/js/town.js') }}"></script>
        <script src="{{ asset('bundles/app/js/event.js') }}"></script>
    {% endblock %}

</body>
</html>